com.sun.syndication.io.impl

## Class SyModuleGenerator

- java.lang.Object
- - com.sun.syndication.io.impl.SyModuleGenerator

All Implemented Interfaces:
  ModuleGenerator

    public class SyModuleGenerator
    extends java.lang.Object
    implements ModuleGenerator

Feed Generator for SY ModuleImpl

### Constructor Summary

Constructors
Constructor and Description
`SyModuleGenerator()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `generate(Module module, org.jdom.Element element)` Generates and injects module metadata into an XML node (JDOM element).
`java.util.Set` `getNamespaces()` Returns a set with all the URIs (JDOM Namespace elements) this module generator uses.
`java.lang.String` `getNamespaceUri()` Returns the namespace URI this generator handles.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SyModuleGenerator

    public SyModuleGenerator()

### Method Detail

#### getNamespaceUri

    public java.lang.String getNamespaceUri()

Description copied from interface: `ModuleGenerator`
Returns the namespace URI this generator handles.

Specified by:
  `getNamespaceUri` in interface `ModuleGenerator`
Returns:
  the namespace URI.

#### getNamespaces

    public java.util.Set getNamespaces()

Returns a set with all the URIs (JDOM Namespace elements) this module generator uses.

It is used by the the feed generators to add their namespace definition in the root element of the generated document (forward-missing of Java 5.0 Generics).

Specified by:
  `getNamespaces` in interface `ModuleGenerator`
Returns:
  a set with all the URIs (JDOM Namespace elements) this module generator uses.

#### generate

    public void generate(Module module,
                         org.jdom.Element element)

Description copied from interface: `ModuleGenerator`
Generates and injects module metadata into an XML node (JDOM element).

Specified by:
  `generate` in interface `ModuleGenerator`
Parameters:
  `module` - the module to inject into the XML node (JDOM element).
  `element` - the XML node into which module meta-data will be injected.